org.jboss.resteasy.client.cache

## Class CacheEntry

- java.lang.Object
- - org.jboss.resteasy.client.cache.CacheEntry

- All Implemented Interfaces:
    Serializable, BrowserCache.Entry

  Deprecated.

      @Deprecated
      public class CacheEntry
      extends Object
      implements BrowserCache.Entry, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEntry(String key, MultivaluedMap<String,String> headers, byte[] cached, int expires, String etag, String lastModified, MediaType mediaType)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtendedProperty(Serializable key, Serializable value)` Deprecated.
    `boolean` | `expired()` Deprecated.
    `byte[]` | `getCached()` Deprecated.
    `Object` | `getExtendedProperty(Serializable key)` Deprecated.
    `MultivaluedMap<String,String>` | `getHeaders()` Deprecated.
    `String` | `getKey()` Deprecated.
    `MediaType` | `getMediaType()` Deprecated.
    `BrowserCache.Header[]` | `getValidationHeaders()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEntry

          public CacheEntry(String key,
                    MultivaluedMap<String,String> headers,
                    byte[] cached,
                    int expires,
                    String etag,
                    String lastModified,
                    MediaType mediaType)

      Deprecated.

  - ### Method Detail

    - #### getKey

          public String getKey()

      Deprecated.

    - #### getHeaders

          public MultivaluedMap<String,String> getHeaders()

      Deprecated.
      Specified by:
        `getHeaders` in interface `BrowserCache.Entry`

    - #### expired

          public boolean expired()

      Deprecated.
      Specified by:
        `expired` in interface `BrowserCache.Entry`

    - #### getValidationHeaders

          public BrowserCache.Header[] getValidationHeaders()

      Deprecated.
      Specified by:
        `getValidationHeaders` in interface `BrowserCache.Entry`

    - #### getCached

          public byte[] getCached()

      Deprecated.
      Specified by:
        `getCached` in interface `BrowserCache.Entry`

    - #### getMediaType

          public MediaType getMediaType()

      Deprecated.
      Specified by:
        `getMediaType` in interface `BrowserCache.Entry`

    - #### addExtendedProperty

          public void addExtendedProperty(Serializable key,
                                 Serializable value)

      Deprecated.

    - #### getExtendedProperty

          public Object getExtendedProperty(Serializable key)

      Deprecated.

Copyright © 2014. All Rights Reserved.